Description: Use the Debian system expat, udunits, netcdf libraries
 rather than embedded copies
Author: Alastair McKinstry <mckinstry@debian.org>
Last-Updated: 2018-01-29
Forwarded: not-needed

Index: harp-1.13/Makefile.am
===================================================================
--- harp-1.13.orig/Makefile.am
+++ harp-1.13/Makefile.am
@@ -33,7 +33,7 @@ noinst_PROGRAMS = findtypedef
 # libraries (+ related files)
 
 lib_LTLIBRARIES = libharp.la
-noinst_LTLIBRARIES = libnetcdf.la libudunits2.la
+noinst_LTLIBRARIES = 
 
 if BUILD_IDL
 idldlmexec_LTLIBRARIES = harp_idl.la
@@ -192,10 +192,10 @@ libharp_la_SOURCES += $(libharp_hdf5_fil
 else
 INDENTFILES += $(libharp_hdf5_files)
 endif
-libharp_la_CPPFLAGS = -Inetcdf -I$(srcdir)/netcdf -Iudunits2 -I$(srcdir)/udunits2 $(AM_CPPFLAGS)
+libharp_la_CPPFLAGS = $(AM_CPPFLAGS)
 libharp_la_LDFLAGS = -no-undefined -version-info $(LIBHARP_CURRENT):$(LIBHARP_REVISION):$(LIBHARP_AGE)
-libharp_la_LIBADD = @LTLIBOBJS@ libudunits2.la libnetcdf.la $(CODALIBS) $(HDF4LIBS) $(HDF5LIBS)
-libharp_la_DEPENDENCIES = libudunits2.la libnetcdf.la
+libharp_la_LIBADD = @LTLIBOBJS@   $(CODALIBS) $(HDF4LIBS) $(HDF5LIBS) -lnetcdf -ludunits2
+libharp_la_DEPENDENCIES =  
 INDENTFILES += $(libharp_la_SOURCES) libharp/harp.h.in
 BUILT_SOURCES += libharp/harp-operation-parser.h
 
@@ -261,12 +261,12 @@ libnetcdf_la_SOURCES = \
 	netcdf/v1hpg.c \
 	netcdf/v2i.c \
 	netcdf/var.c
-libnetcdf_la_CPPFLAGS = -Inetcdf -I$(srcdir)/netcdf
-libnetcdf_la_LDFLAGS = -no-undefined
+# libnetcdf_la_CPPFLAGS = -Inetcdf -I$(srcdir)/netcdf
+# libnetcdf_la_LDFLAGS = -no-undefined
 
 # libudunits2
 
-libudunits2_la_SOURCES = \
+unused_libudunits2_SOURCES = \
 	expat/xmlparse.c \
 	expat/xmlrole.c \
 	expat/xmltok.c \
@@ -307,18 +307,11 @@ libudunits2_la_SOURCES = \
 	udunits2/unitToIdMap.h \
 	udunits2/ut_free_system.c \
 	udunits2/xml.c
-libudunits2_la_CPPFLAGS = -Iudunits2 -I$(srcdir)/udunits2 -Iexpat -I$(srcdir)/expat -DDEFAULT_UDUNITS2_XML_PATH='"$(pkgdatadir)/udunits2.xml"' -DHARP_UDUNITS2_NAME_MANGLE
-libudunits2_la_LDFLAGS = -no-undefined
-BUILT_SOURCES += udunits2/utparser.h
-pkgdata_DATA = \
-	udunits2/udunits2.xml \
-	udunits2/udunits2-accepted.xml \
-	udunits2/udunits2-base.xml \
-	udunits2/udunits2-common.xml \
-	udunits2/udunits2-derived.xml \
-	udunits2/udunits2-prefixes.xml
-EXTRA_DIST += \
-	$(pkgdata_DATA) \
+#libudunits2_la_CPPFLAGS = -Iudunits2 -I$(srcdir)/udunits2 -Iexpat -I$(srcdir)/expat -DDEFAULT_UDUNITS2_XML_PATH='"$(pkgdatadir)/udunits2.xml"' -DHARP_UDUNITS2_NAME_MANGLE
+#libudunits2_la_LDFLAGS = -no-undefined
+#BUILT_SOURCES += udunits2/utparser.h
+#EXTRA_DIST += \
+#	$(pkgdata_DATA) \
 	expat/xmltok_impl.c \
 	expat/xmltok_ns.c \
 	expat/COPYING \
